/*
 * 作成日: 2006/12/10
 *
 * この生成されたコメントの挿入されるテンプレートを変更するため
 * ウィンドウ > 設定 > Java > コード生成 > コードとコメント
 */
package jp.maxwell.applet.simson;

import java.awt.geom.*;

/**
 * @author $Id:$
 */
public class NinePointCircle {
	private double alpha;
	private double beta;
	private double gamma;
	
	public NinePointCircle( double alpha, double beta, double gamma){
		this.alpha = alpha;
		this.beta = beta;
		this.gamma = gamma;
	}
	
	/**
	 * 九点円の中心座標を返します。
	 * @return
	 */
	public Point2D.Double getNinePointCircleCenter(){
		return this.getNinePointCircleCenter( this.alpha, this.beta, this.gamma);
	}
	
	/**
	 * 九点円の中心座標を返します。
	 * @return
	 */
	public static Point2D.Double getNinePointCircleCenter( double alpha, double beta, double gamma){
		double x = 0.5*(Math.cos( alpha)+Math.cos( beta)+Math.cos( gamma));
		double y = 0.5*(Math.sin( alpha)+Math.sin( beta)+Math.sin( gamma));
		
		return new Point2D.Double( x, y);
	}
}
